无法安装软件,在线升级了。

为当前最终发行版之前的所有版本提供支持
回复
松心心
帖子: 29
注册时间: 2006-06-18 23:43
送出感谢: 0
接收感谢: 0

无法安装软件,在线升级了。

#1

帖子 松心心 » 2006-06-27 11:45

不管怎样:用apt-get install 或者编译安装,一到install出问题了。

如图,就是这个问题,怎么解决啊?
附件
25.jpg
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2006-06-27 12:32

sudo apt-get clean 把缓存清理一下试试
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-06-27 12:32

如果新立得真的找不到这个破损的包,就 sudo dpkg-reconfigure all,重建包配置。
● 鸣学
松心心
帖子: 29
注册时间: 2006-06-18 23:43
送出感谢: 0
接收感谢: 0

#4

帖子 松心心 » 2006-06-27 13:43

无办法,用了上面的命令还是这个样子。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2006-06-27 13:51

不知道你的源是什么,并且在出现这些问题之前做了些什么,就这么无头无脑地提供一个报错信息,恐怕很难帮助到你.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
松心心
帖子: 29
注册时间: 2006-06-18 23:43
送出感谢: 0
接收感谢: 0

#6

帖子 松心心 » 2006-06-27 14:09

我的源是:
deb http://archive.ubuntu.com/ubuntu/ dapper main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn/ dapper main restricted universe multiverse

开始一切正常。

下了一个:lg3d-core_0.8.1_rc1_i686.deb
然后 sudo dpkg -i lg3d-core_0.8.1_rc1_i686.deb
又用新立得去删了。

然后就这个样子了。
重新来个执行出现下面问题:
lg3d-core_0.8.1_rc1_i686.deb lg3d-rc1-0-8-1-linux-i686-0606201019.tar.gz
lg3d_java3d_1.5.0_i686.deb
msgl@www:~/bt$ sudo dpkg -i lg3d-core_0.8.1_rc1_i686.deb
Password:
(正在读取数据库 ... 系统当前总共安装有 38083 个文件和目录。)
正预备替换 lg3d-core 0.8.1_rc1 (使用 lg3d-core_0.8.1_rc1_i686.deb) ...
Checking if gdm is installed on the system....没有找到与 gdm 相匹配的软件包。
Yes
未曾安装软件包“gdm”。
使用 dpkg --info (= dpkg-deb --info) 来检测打包好的文件,
还可以用过 dpkg --contents (= dpkg-deb --contents) 来列出它们的内容。
Error couldn't retrieve gdm.conf location. exiting
dpkg:警告 - 原先的 pre-removal 脚本 退出时返回了错误号 1
dpkg - 现转而试用新软件包所带的脚本...
Checking if gdm is installed on the system....没有找到与 gdm 相匹配的软件包。
Yes
未曾安装软件包“gdm”。
使用 dpkg --info (= dpkg-deb --info) 来检测打包好的文件,
还可以用过 dpkg --contents (= dpkg-deb --contents) 来列出它们的内容。
Error couldn't retrieve gdm.conf location. exiting
dpkg:处理 lg3d-core_0.8.1_rc1_i686.deb (--install)时出错:
子进程·新的 pre-removal 脚本·返回了错误号·1
/var/lib/dpkg/info/lg3d-core.postinst: line 2: pushd: /usr/share/lg3d/ext/lg3d-x 11/linux/i686/lg3d-x11/programs/Xserver: 没有那个文件或目录
chown: 无法访问 “Xorg”: 没有那个文件或目录
chown: 无法访问 “Xvfb”: 没有那个文件或目录
chgrp: 无法访问 “Xorg”: 没有那个文件或目录
chgrp: 无法访问 “Xvfb”: 没有那个文件或目录
chmod: 无法访问 “Xorg”: 没有那个文件或目录
chmod: 无法访问 “Xvfb”: 没有那个文件或目录
dpkg: 作下列清理工作时发生错误:
子进程·post-installation script·返回了错误号·1
在处理时有错误发生:
lg3d-core_0.8.1_rc1_i686.deb
msgl@www:~/bt$
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 karron » 2006-06-27 14:35

lg3d-core_0.8.1_rc1_i686.deb 这个包是用来干什么的? 不会卸载的时候把gdm之类的都卸掉了吧?
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
松心心
帖子: 29
注册时间: 2006-06-18 23:43
送出感谢: 0
接收感谢: 0

#8

帖子 松心心 » 2006-06-27 14:39

这几个包是准备用来建立sum java 的3d桌面环境的。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 karron » 2006-06-27 15:12

那我就无能为力了,完全没有搞过,这种东西,可能和xgl一样会对X进行配置,如果没有人在ubuntu上使用成功的话很危险.好像ubuntu中文社区里面还没有其他人搞过.你到英文论坛上看看有没有一些解决方案.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
turbohead
帖子: 58
注册时间: 2006-07-07 19:12
送出感谢: 0
接收感谢: 0

#10

帖子 turbohead » 2006-07-23 23:50

好像跟x没有关系,很多其他的人在其他的软件上也发生了这样的问题,同样的问题,大家一起汇到这个帖子吧,看看有人能解决不
viewtopic.php?t=20321&highlight=%E5%AD% ... B%E7%A8%8B
回复

回到 “老旧版本支持”